Bug 147499 - Can't boot with USB keyboards
Summary: Can't boot with USB keyboards
Status: CLOSED WORKSFORME
Alias: None
Product: Fedora
Classification: Fedora
Component: syslinux (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Peter Jones
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-02-08 16:42 UTC by Armijn Hemel
Modified: 2007-11-30 22:10 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-03-30 20:27:18 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Armijn Hemel 2005-02-08 16:42:34 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5)
Gecko/20041111 Firefox/1.0

Description of problem:
I can't get syslinux to function with my USB keyboards. When I plug in
the PS/2 connector (in case of my Microsoft natural keyboard) it does
work and I can normally start the installer. The keyboards functions
properl with just USB to access things in the BIOS, so it's not a
problem that the BIOS can't handle USB keyboards.

Version-Release number of selected component (if applicable):
syslinux-3.07-1

How reproducible:
Always

Steps to Reproduce:
1. attach a microsoft natural keyboard pro or Dell SK-8125 to a Dell
optiplex gx-110 with just the USB connector
2. boot the cd image (boot.iso) from Fedora development (feb 7 2005)
3.
    

Actual Results:  Can't press "enter" to continue and start the installer.

Additional info:

The machine itself is a Dell Optiplex GX-110. The keyboards are a
Microsoft natural keyboard pro and a Dell SK-8125. Both don't work
with USB, the Microsoft keyboard works via PS/2.

Comment 1 Peter Jones 2005-03-30 20:27:18 UTC
I just did this, and it works fine for me.  Maybe the Dell BIOS stops doing
keyboard emulation once it starts running user code?

Anyway, it doesn't appear to be something we can fix.


Note You need to log in before you can comment on or make changes to this bug.